// +FHDR------------------------------------------------------------
//                 Copyright (c) 2022 SmartLogic.
//                       ALL RIGHTS RESERVED
// -----------------------------------------------------------------
// Filename      : test.c
// Author        : xianfeng.du
// Created On    : 2022-11-25
// Last Modified :
// -----------------------------------------------------------------
// Description:
//
//
// -FHDR------------------------------------------------------------

#include <stddef.h>
#include <string.h>
#include <sys/time.h>
#include <unistd.h>

#include "typedef.h"
#include "ucp_printf.h"
#include "msg_transfer_mem.h"
#include "pet_sm_mgt.h"
#include "ucp_handshake.h"
#include "ospShell.h"
#include "ospLog.h"
#include "ospCfgToBin.h"
#include "drv_init.h"

#include "ucp_api_jesd.h"
#include "ucp_api_rfic.h"

extern int32_t adrv9025_tone (bool set);

int32_t test_case(uint32_t argc, int32_t* argvp)
{
	UCP_PRINT_DEBUG("start running testcase 41.");
	UCP_PRINT_DEBUG("start transceiver tone.");

    UCP_API_RFIC_CellInit(100000000u);
    UCP_API_RFIC_CellSetup(2575770000u, 2575770000u, 0);
	adrv9025_tone(true);
	
    return 0;
}

